//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once

#include "engine.h"



extern int g_nMouseX;
extern int g_nMouseY;
extern int g_nMouseDZ;//we only store the change in the mouse wheel's position
extern bool g_bMouseLocked;

void UpdateInput();
bool IsKeyJustPressed(unsigned char n);
bool IsKeyDown(unsigned char n);
bool IsKeyJustReleased(unsigned char n);
bool IsKeyUp(unsigned char n);

bool IsCtrlDown();
bool IsShiftDown();
bool IsAltDown();

bool IsMKeyJustPressed(unsigned char n);
bool IsMKeyDown(unsigned char n);
bool IsMKeyJustReleased(unsigned char n);
bool IsMKeyUp(unsigned char n);

void InitInput();
